package ups_sdk

type RegisterUserRequest struct {
	UserName string `json:"userName"`
	Password string `json:"password"`
}

type IdentifyRequest struct {
	UserName string `json:"userName"`
	Password string `json:"password"`
}

type UpdateUserUserNameRequest struct {
	OldUserName string `json:"oldUserName"`
	NewUserName string `json:"newUserName"`
}

type UpdateUserPasswordRequest struct {
	UserName    string `json:"userName"`
	NewPassword string `json:"newPassword"`
}

type MergeUserRequest struct {
	FromUserName string `json:"fromUserName"`
	ToUserName   string `json:"toUserName"`
}
