package ups_sdk

type RegisterUserResponse struct {
	msgResponse
}

type DeleteUserResponse struct {
	msgResponse
}

type IdentifyResponse struct {
	msgResponse
	UserExist bool `json:"userExist"`
	Pass      bool `json:"pass"`
}

type UpdateUserUserNameResponse struct {
	msgResponse
}

type UpdateUserPasswordResponse struct {
	msgResponse
}

type MergeUserResponse struct {
	msgResponse
}

type GetUsersResponse struct {
	msgResponse
	QueryUserResult
}

type QueryUserResult struct {
	Infos      []UserInfo `json:"infos"`
	TotalCount int64      `json:"totalCount"`
	PageNo     int        `json:"pageNo"`
}

type UserInfo struct {
	UserName string `json:"name"`
}
